This issue tracker has been migrated to GitHub, and is currently read-only.
For more information, see the GitHub FAQs in the Python's Developer Guide.

classification
Title: koi8_u codec
Type: Stage:
Components: Library (Lib) Versions: Python 2.3
process
Status: closed Resolution: accepted
Dependencies: Superseder:
Assigned To: nnorwitz Nosy List: lemburg, mdzumanenko, nnorwitz
Priority: normal Keywords: patch

Created on 2002-09-23 12:10 by mdzumanenko, last changed 2022-04-10 16:05 by admin. This issue is now closed.

Files
File name Uploaded Description Edit
Python-2.2.1-koi8_u.patch mdzumanenko, 2002-09-23 12:10
koi8_u.diff nnorwitz, 2002-10-11 23:05 updated patch for whitespace, case
koi8_u.py lemburg, 2002-10-12 12:10 new codec
Messages (5)
msg41205 - (view) Author: Maxim Dzumanenko (mdzumanenko) Date: 2002-09-23 12:10
This patch adds koi8_u codec
msg41206 - (view) Author: Neal Norwitz (nnorwitz) * (Python committer) Date: 2002-10-11 23:05
Logged In: YES 
user_id=33168

I've updated the patch for whitespace normalization and made
hex chars a-f instead of A-F.  It is easy to do a diff
between koi8_[ru].py now.  I have no idea if the encoding is
correct.  If someone can verify it is correct, assign back
to me for checkin.  Also, should this be backported if accepted?
msg41207 - (view) Author: Marc-Andre Lemburg (lemburg) * (Python committer) Date: 2002-10-12 12:08
Logged In: YES 
user_id=38388

Here's a new version of the codec which fixes some encoding
bugs and uses the approach of inheriting KOI8R as suggested
by the RFC.

Also changed the copyright to the PSF.
msg41208 - (view) Author: Marc-Andre Lemburg (lemburg) * (Python committer) Date: 2002-10-12 12:10
Logged In: YES 
user_id=38388

About the backport: new codecs can generally always be
backported.

Please check the code into 2.3 and 2.2.2. Thanks.
msg41209 - (view) Author: Neal Norwitz (nnorwitz) * (Python committer) Date: 2002-10-17 22:19
Logged In: YES 
user_id=33168

Thanks, Maxim and MAL!

Checked in as: 
 Lib/encodings/koi8_u.py 1.1 and 1.1.2.1
 Misc/ACKS 1.211 and 1.149.4.13
History
Date User Action Args
2022-04-10 16:05:41adminsetgithub: 37205
2002-09-23 12:10:01mdzumanenkocreate